SnapshotOptions.SnapshotFormat (Apache Geode 1.15.4)

org.apache.geode.cache.snapshot

## Enum SnapshotOptions.SnapshotFormat

- java.lang.Object
- - java.lang.Enum<SnapshotOptions.SnapshotFormat>
  - - org.apache.geode.cache.snapshot.SnapshotOptions.SnapshotFormat

- All Implemented Interfaces:
    Serializable, Comparable<SnapshotOptions.SnapshotFormat>
  Enclosing interface:
    SnapshotOptions<K,V>

      public static enum SnapshotOptions.SnapshotFormat
      extends Enum<SnapshotOptions.SnapshotFormat>

  Defines the available snapshot file formats.
  Since:
    GemFire 7.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `GEMFIRE` Deprecated. Use `GEODE`
    `GEODE` An optimized binary format specific to Geode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnapshotOptions.SnapshotFormat` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnapshotOptions.SnapshotFormat[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### GEMFIRE

          @Deprecated
          public static final SnapshotOptions.SnapshotFormat GEMFIRE

      Deprecated. Use `GEODE`
      An optimized binary format specific to GemFire.

    - #### GEODE

          public static final SnapshotOptions.SnapshotFormat GEODE

      An optimized binary format specific to Geode.

  - ### Method Detail

    - #### values

          public static SnapshotOptions.SnapshotFormat[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnapshotOptions.SnapshotFormat c : SnapshotOptions.SnapshotFormat.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnapshotOptions.SnapshotFormat valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null